Page MenuHomePhabricator

Decommission Ganeti vm meitnerium.wikimedia.org (old Archiva host)
Closed, ResolvedPublic

Description

meitnerium.wikimedia.org has been replaced by archiva1001.wikimedia.org, so all its resources can be reclaimed and the vm finally deleted.

As far as I know the steps to take to clean up a VM are:

Please do not take any action for the moment since the Analytics team would like to wait a couple of days before irrevocably deleting meitnerium.

Event Timeline

elukey triaged this task as Medium priority.Aug 29 2018, 1:53 PM
elukey created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2018, 1:53 PM
elukey updated the task description. (Show Details)Aug 31 2018, 7:07 AM

Change 458519 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Remove meitnerium (old archiva host) from puppet

https://gerrit.wikimedia.org/r/458519

elukey updated the task description. (Show Details)Sep 7 2018, 11:48 AM

Change 458783 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/dns@master] Decommission meitnerium (old archiva host)

https://gerrit.wikimedia.org/r/458783

elukey updated the task description. (Show Details)Sep 7 2018, 11:52 AM
Dzahn added a subscriber: Dzahn.Sep 7 2018, 3:08 PM

note that the docs say "A Phabricator ticket for the decommission of the system should be placed in the hardware-requests project and the appropriate datacenter-specific ops-* project."

elukey added a comment.Sep 7 2018, 3:09 PM

note that the docs say "A Phabricator ticket for the decommission of the system should be placed in the hardware-requests project and the appropriate datacenter-specific ops-* project."

I thought only for physicals, not vms, will do thanks!

Dzahn added a comment.Sep 7 2018, 3:11 PM

I forgot for a moment this is a virtual machine. You can probably ignore that. Sorry.

No switch port disabling step for VMs either

No switch port disabling step for VMs either

Yep this makes sense since the underlying ganeti host is the one assigned to the switch port (and sharing it with its VMs).

elukey updated the task description. (Show Details)Sep 12 2018, 7:59 AM
akosiaris updated the task description. (Show Details)Sep 12 2018, 11:25 AM

The steps listed in the description look correct and sufficient to me. There is one thing to add and it would be the removal from DebMonitor per https://wikitech.wikimedia.org/wiki/Server_Lifecycle

Change 458519 merged by Elukey:
[operations/puppet@production] Remove meitnerium (old archiva host) from puppet

https://gerrit.wikimedia.org/r/458519

elukey@puppetmaster1001:~$ sudo -i puppet node clean meitnerium.wikimedia.org
Notice: Revoked certificate with serial 1595
Notice: Removing file Puppet::SSL::Certificate meitnerium.wikimedia.org at '/var/lib/puppet/server/ssl/ca/signed/meitnerium.wikimedia.org.pem'
meitnerium.wikimedia.org
elukey@puppetmaster1001:~$ sudo -i puppet node deactivate meitnerium.wikimedia.org
Submitted 'deactivate node' for meitnerium.wikimedia.org with UUID c4cad45d-06fa-4453-9bd0-2f24f7fb4439
elukey@neodymium:~$ sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/meitnerium.wikimedia.org --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key
elukey@ganeti1001:~$ sudo gnt-instance remove meitnerium.wikimedia.org
This will remove the volumes of the instance meitnerium.wikimedia.org
(including mirrors), thus removing all the data of the instance.
Continue?
y/[n]/?: y

Change 458783 merged by Elukey:
[operations/dns@master] Decommission meitnerium (old archiva host)

https://gerrit.wikimedia.org/r/458783

elukey closed this task as Resolved.Sep 12 2018, 12:06 PM
elukey updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2018-09-12T12:07:46Z] <elukey> delete meitnerium.wikimedia.org's ganeti VM (decommissioned) - T203087